<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Detail Budget</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">

</section>

<section layout:fragment="main" class="content">

        <div class="row">
            <div class="col-md-12">

                <div class="callout callout-info">
                    <h4 th:text="${'Department : ' + anggaran.departemen.namaDepartemen}">I am an info callout!</h4>
                    <p th:text="${'Department Code : ' + anggaran.departemen.kodeDepartemen}">Follow the steps to continue to payment.</p>
                    <p th:text="${'Period : ' + anggaran.periodeAnggaran.namaPeriodeAnggaran}">Follow the steps to continue to payment.</p>
                    <p th:text="${'Budget Code : ' + anggaran.kodeAnggaran}">Follow the steps to continue to payment.</p>
                    <p th:text="${'Budget Name : ' + anggaran.namaAnggaran}">Follow the steps to continue to payment.</p>

                </div>

                <div class="callout callout-success" th:if="${success != null}">
                    <h4>Save Data Success!</h4>

                    <p>Data Berhasil Disimpan.</p>
                </div>

                <div class="callout callout-danger" th:if="${gagal != null}">
                    <h4>Save Data Gagal!</h4>

                    <p>Data Gagal Disimpan. Nominal Baru tidak boleh lebih kecil dari total Pengeluaran</p>
                    <!--  <p th:text="${'Dana yang sudah dikeluarkan : Rp ' + #numbers.formatDecimal(totalKeluar, 0, 'POINT', 2, 'COMMA')}"></p> -->

                  </div>

                  <div class="callout callout-danger" th:if="${gagil != null}">
                      <h4>Save Data Gagal!</h4>

                      <p>Data Gagal Disimpan. Total anggaran tidak boleh melebihi pagu</p>
                  </div>

                  <div class="box">
                      <form method="get">
                          <div class="box-header with-border">
                              <div class="row">
                                  <div class="col-md-6">
                                      <h3 class="box-title">List of Detail Budget</h3>
                                  </div>
                                  <div class="col-md-6" align="right">
                                      Show entries <span sd:page-size-selector="javascript"></span>
                                  </div>
                              </div>
                          </div>

                          <div class="box-header with-border">
                              <div class="row">
                                  <div class="col-md-3">
                                      <div class="input-group input-group-sm" style="width: 150px;">
                                          <a sec:authorize!="hasAuthority('VIEW_MUTU')"  th:if="${getPeriode}!=0" th:href="@{/setting/anggaran/detail/baru(anggaran = ${anggaran.id}, departemen = ${departemen},periode = ${periode})}" name="tambah" type="button" class="btn btn-block btn-primary">+ NEW DETAIL BUDGET</a>
                                      </div>
                                  </div>

                                  <div class="col-md-3">
                                      <div class="input-group-btn input-group-sm">
                                          <a th:href="@{/setting/anggaran/setting(departemen = ${departemen},periode = ${periode})}" class="btn btn-default">BACK</a>
                                      </div>
                                  </div>



                                  <div class="col-md-6" align="right">
                                      <div class="input-group input-group-sm" style="width: 150px;">
                                          <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">
                                          <div class="input-group-btn">
                                              <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                                          </div>

                                      </div>
                                  </div>

                              </div>
                          </div>

                          <div class="box-header with-border">
                              <div class="row">
                                  <div class="col-md-6">
                                      <p th:text="${'Amount : ' + 'Rp. ' + #numbers.formatDecimal(anggaran.amount, 0, 'POINT', 2, 'COMMA')}">Follow the steps to continue to payment.</p>
                                      <p th:text="${'Realized : ' + 'Rp. ' + #numbers.formatDecimal(totalPengajuanDana, 0, 'POINT', 2, 'COMMA')}"></p>
                                      <p th:text="${'Remaining : ' + 'Rp. ' + #numbers.formatDecimal(sisaAnggaranDetail, 0, 'POINT', 2, 'COMMA')}"></p>
                                  </div>

                                  <div class="col-md-6" align="right">

                                  </div>

                              </div>
                          </div>


                      </form>
                      <!-- /.box-header -->


                    <div class="box-body table-responsive no-padding">
                        <table class="table table-bordered">
                            <tr>
                                <th style="width: 10px">#</th>
                                <th>Budget Code</th>
                                <th>Description</th>
                                <th>Qty</th>
                                <th></th>
                                <th>Amount</th>
                                <th>Options</th>
                                <th style="width: 40px"></th>

                            </tr>
                            <tr th:each="dataAnggaranDetail,row : ${listAnggaranDetail}">
                                <td th:text="${(row.index + 1) + (listAnggaranDetail.number * listAnggaranDetail.size)}">1.</td>
                                <td th:text="${dataAnggaranDetail.anggaran.kodeAnggaran}">BEASISWA</td>
                                <td th:text="${dataAnggaranDetail.deskripsi}">Pendapatan dari Beasiswa</td>
                                <td th:text="${dataAnggaranDetail.kuantitas}">-</td>
                                <td th:text="${dataAnggaranDetail.satuan}">-</td>
                                <td th:text="${'Rp. ' + #numbers.formatDecimal(dataAnggaranDetail.amount, 0, 'POINT', 2, 'COMMA')}" align="right">-</td>
                                <td>
                                    <a sec:authorize!="hasAuthority('VIEW_MUTU')" th:if="${getPeriode}!=0" th:href="@{/setting/anggaran/detail/edit(data=${dataAnggaranDetail.id},anggaran=${anggaran.id},departemen=${departemen},periode=${periode})}" class="btn btn-success btn-xs">Edit</a>
                                    <a th:href="@{/setting/anggarandetail/estimasi(anggaranDetail = ${dataAnggaranDetail.id})}" class="btn btn-primary btn-xs">Estimate</a>
                                </td>
                                <td>
                                    <form method="post" th:action="@{/setting/anggaran/detail/hapus(anggaranDetail=${dataAnggaranDetail.id},anggaran=${anggaran.id},departemen=${departemen},periode=${periode})}">
                                        <button sec:authorize!="hasAuthority('VIEW_MUTU')" th:if="${getPeriode}!=0" type="submit" class="btn btn-danger btn-xs"
                                                onclick="return confirm('Are you sure want to delete this?')">
                                            Delete
                                        </button>
                                    </form>
                                </td>


                            </tr>

                            <tr>
                                <th style="width: 10px">#</th>
                                <th>Budget Code</th>
                                <th>Description</th>
                                <th>Qty</th>
                                <th></th>
                                <th>Amount</th>
                                <th>Options</th>
                                <th style="width: 40px"></th>

                            </tr>


                        </table>
                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer clearfix">
                        <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                            <li class="disabled"><a href="#" aria-label="Previous"><span
                                    aria-hidden="true">&laquo;</span></a>
                            </li>
                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                            </li>
                        </ul>
                    </div>
                </div>
                <!-- /.box -->
            </div>
        </div>

</section>
</body>
</html>